#!/usr/bin/perl
use lib '/home/martin/ethereal/mgmt';

#################################################################################
# Created       : Martin Foster
# Modified      : 03-May-2004
#################################################################################
#
# Works - Javascript rotation for works, galleries et cetera.
# Copyright (C) 2000-2006  Martin Foster
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
# Author of this script can be contacted at the following:
#       E-Mail  : martin@ethereal-realms.org
#       Address : 29-26503 TWP RD 511
#                 Spruce Grove, Alberta
#                 T7Y 1G4
#
#################################################################################

use CGI qw(:standard);						# Common gateway interface
use CGI::Carp qw(fatalsToBrowser);				# CGI Error logs
use strict;							# Strict variable enforcement

use Ethereal::Database;						# Database handler
use Ethereal::Rotate;						# Rotation control


#################################################################################
# Data Members
#################################################################################
my $cgi;							# Common gateway interface handle
my $database;							# Database handle
my $rotate;							# Rotation handle

my $concat;							# Concatenated line
my $zone = 'javascript';					# Rotation zone


#################################################################################
# Program Area
#################################################################################

	# Initial handles
	$cgi      = new CGI;
	$database = new Ethereal::Database();

	# Connect and fetch
	$database->Connect($cgi);	

	# Create instance
	$rotate = new Ethereal::Rotate(
		DB    => $database,
		ZONE  => $zone,
	 );


	# Fetch entry
	$concat = $rotate->Pull();
	 
	# Modify lines
	$concat =~ s/(\n|\r)//gs;
	$concat =~ s/\s{2,}/ /gs;
	$concat =~ s/'/\\'/gs;


	# Display header and entry
	print $cgi->header('text/javascript');
	print "document.write('" . $concat . "');";
